%global modname tqdm

Name:           python3-%{modname}
Version:        4.19.6
Release:        %mkrel 1
Summary:        Fast, Extensible Progress Meter
License:        MPLv2.0 and MIT
Group: Development/Python
URL:            https://github.com/tqdm/tqdm
Source0:        https://github.com/tqdm/tqdm/archive/v%{version}/%{modname}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description 
Instantly make your loops show a smart progress meter - just wrap any iterable 
with "tqdm(iterable)", and you are done!
%prep
%setup -n %{modname}-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=/usr --root=%{buildroot}

mkdir -p %{buildroot}%{_mandir}
mv -v %{buildroot}/%{_prefix}/man/* %{buildroot}/%{_mandir}

%check
#{__python3} setup.py test

%files 
%doc README.rst examples LICENCE 
%{_bindir}/%{modname}
%{_mandir}/man1/%{modname}.1*
%{python3_sitelib}/*

%changelog
* Sun Apr 22 2018 Ken <lxgator at gmail.com> 4.19.6-1pclos2018
- Create pkg

